Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.spatial
Class GlobalPathType

    Object
      CodeList<E>
          SimpleEnumerationType<PathType>
              PathType
                  GlobalPathType

All Implemented Interfaces:
  Serializable, Comparable<PathType>

    public final class GlobalPathType

extends PathType

The instances of this class represent methods of calculating a path between two locations. The in-between points of the path satisfy two conditions:

1. The in-between points are the same regardless of the way the current path is displayed (i.e. the path is independent of map projection, current viewport, etc.)
2. The in-between points are claculated along a surface that the points are projected onto (such as the surface of the earth).

The second condition implies that altitude is not taken into account when calculating paths of type GlobalPathType. Hence paths of this type are well suited for navigation of surface ships or vehicles.

See Also:
  Serialized Form

Field Summary
`static GlobalPathType` | `GREAT_CIRCLE_ELLIPSOIDAL` The path that is the shortest distance path over the WGS84 ellipsoid.
`static GlobalPathType` | `GREAT_CIRCLE_SPHERICAL` The path that is the shortest distance path over the sphere whose radius is the equatorial radius of the WGS84 ellipsoid.
`static GlobalPathType` | `RHUMBLINE_ELLIPSOIDAL` The path that is the path of constant bearing over the WGS84 ellipsoid.
`static GlobalPathType` | `RHUMBLINE_SPHERICAL` The path that is the path of constant bearing over the sphere whose radius is the equatorial radius of the WGS84 ellipsoid.

Constructor Summary
`GlobalPathType(String name, String description)` Creates a new `GlobalPathType` with the given name.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static PathType[]` | `values()` Returns the list of `GlobalPathType`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GREAT_CIRCLE_ELLIPSOIDAL

    public static final GlobalPathType GREAT_CIRCLE_ELLIPSOIDAL

  The path that is the shortest distance path over the WGS84 ellipsoid.

### GREAT_CIRCLE_SPHERICAL

    public static final GlobalPathType GREAT_CIRCLE_SPHERICAL

  The path that is the shortest distance path over the sphere whose radius is the equatorial radius of the WGS84 ellipsoid.

### RHUMBLINE_ELLIPSOIDAL

    public static final GlobalPathType RHUMBLINE_ELLIPSOIDAL

  The path that is the path of constant bearing over the WGS84 ellipsoid.

### RHUMBLINE_SPHERICAL

    public static final GlobalPathType RHUMBLINE_SPHERICAL

  The path that is the path of constant bearing over the sphere whose radius is the equatorial radius of the WGS84 ellipsoid.

Constructor Detail

### GlobalPathType

    public GlobalPathType(String name,
                          String description)

  Creates a new `GlobalPathType` with the given name.

  Parameters:
    `name` - the short name for the enum.
    `description` - the description for the enum.

Method Detail

### values

    public static PathType[] values()

  Returns the list of `GlobalPathType`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Overrides:
    `family` in class `PathType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.